<?php

require_once '../incfiles/core.php';
require_once '../incfiles/func.php';
require_once '../incfiles/auth.php';
require_once '../incfiles/user.php';

if (!empty($_GET['id']) && is_numeric($_GET['id']))
{
	$id = abs(intval($_GET['id']));
	$result = mysql_query("SELECT * FROM `wall` WHERE `id` = '".$id."' LIMIT 1");
	if (mysql_num_rows($result) == true)
	{
		$arr = mysql_fetch_array(mysql_query("SELECT * FROM `wall` WHERE `id` = '".$id."' LIMIT 1"));
	}
	else go(URL.'/');

}
else go(URL.'/');

if (empty($user_id) || $user_id != $arr['user_id']) {go(URL.'/');}
				
$title = lang('Просмотр записи :: Мне нравится','Перегляд запису :: Мені подобається');
require_once '../incfiles/head.php';

	echo '<div class="title">
	<a class="title_a_hover" href="'.URL.'/wall/post.php?id='.$id.'" onclick="Page.Go(this.href); return false">'.lang('Запись','Запис').'</a>
	</div>';
	echo wall_post($arr);
echo '<div class="title"><div class="right">'.$arr['clike'].'</div>'.lang('Мне нравиться','Мені подобається').'</div>';

if (!empty($arr['ulike']))
{
	$q = explode("||", substr($arr['ulike'], 1, -1));
	$count = count($q);
	$cp = ceil($count/10);
	$p = (isset($_GET['p']) and is_numeric($_GET['p']) and $_GET['p']>1 and $_GET['p']<=$cp) ? $_GET['p'] : 1;
	$start = $p*10-10;

	for ($i = 0; $i < $count; $i++)
	{
		echo '<div class="block">'.user_name($q[$i]).'<br/><br/></div>';
	}
	navi($p,$cp,''.URL.'/wall/show_like.php?id='.$id.'&');
}
require_once '../incfiles/foot.php';

?>